(define-module (zola)
  #:use-module (gnu packages)
  #:use-module (gnu packages base)
  #:use-module (gnu packages crates-io)
  #:use-module (gnu packages compression)
  #:use-module (gnu services)
  #:use-module (guix utils)
  #:use-module (guix gexp)
  #:use-module (guix packages)
  #:use-module (guix git-download)
  #:use-module (guix build-system cargo)
  #:use-module ((guix licenses) #:prefix license:))

(define-public zola
  (let ((commit "8dd1b30594dcfa5344ba36b6b057a5b0aa9bd277")
        (revision "0"))
    (package
      (name "zola")
      (version "0.17.2")
      (source (origin
                (method git-fetch)
                (uri (git-reference
                      (url "https://github.com/getzola/zola.git")
                      (commit commit)))
                (sha256
                 (base32
                  "1x9xdrp6j9n6nlj3xvv5b71vl08yizq16cm4dv9zkd9pm6w6szxa"))))
      (build-system cargo-build-system)
      (native-inputs (list tar
                           bzip2
                           rust-serde-1
                           rust-anyhow-1
                           rust-ahash-0.8
                           rust-clap-4
                           rust-hyper-tls-0.5
                           rust-tokio-fs-0.1
                           rust-time-0.3
                           rust-notify-4
                           rust-ctrlc-3
                           rust-open-2
                           rust-pathdiff-0.2
                           rust-mime-0.3
                           rust-mime-guess-2))
      ;; (arguments
      ;;  )
      (home-page "https://github.com/phisch/phinger-cursors")
      (synopsis "Most likely the most over engineered cursor theme out there")
      (description
       "Say hello to your new cursor theme. Phinger cursors is most likely the most over engineered cursor theme out there.")
      (license license:cc-by-sa4.0))))

zola
